searchData={"items":[{"type":"module","title":"GoogleApi.File.V1","doc":"API client metadata for GoogleApi.File.V1.","ref":"GoogleApi.File.V1.html"},{"type":"function","title":"GoogleApi.File.V1.discovery_revision/0","doc":"","ref":"GoogleApi.File.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.File.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.File.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_create/4","doc":"Creates a backup.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_create/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_create/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The backup's project and location, in the format `projects/{project_number}/locations/{location}`. In Filestore, backup locations map to Google Cloud regions, for example **us-west1**.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:backupId` (*type:* `String.t`) - Required. The ID to use for the backup. The ID must be unique within the specified project and location. This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen. Values that do not match this pattern will trigger an INVALID_ARGUMENT error.\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.Backup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_create/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_create/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_delete/4","doc":"Deletes a backup.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_delete/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_delete/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The backup resource name, in the format `projects/{project_number}/locations/{location}/backups/{backup_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_delete/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_delete/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_get/4","doc":"Gets the details of a specific backup.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_get/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_get/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The backup resource name, in the format `projects/{project_number}/locations/{location}/backups/{backup_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_get/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Backup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_get/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_list/4","doc":"Lists all backups in a project for either a specified location or for all locations.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_list/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_list/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project and location for which to retrieve backup information, in the format `projects/{project_number}/locations/{location}`. In Filestore, backup locations map to Google Cloud regions, for example **us-west1**. To retrieve backup information for all locations, use \"-\" for the `{location}` value.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - List filter.\n    *   `:orderBy` (*type:* `String.t`) - Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value to use if there are additional results to retrieve for this list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_list/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.ListBackupsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_list/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_patch/4","doc":"Updates the settings of a specific backup.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_patch/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_patch/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. The resource name of the backup, in the format `projects/{project_number}/locations/{location_id}/backups/{backup_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. Mask of fields to update. At least one path must be supplied in this field.\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.Backup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_backups_patch/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_backups_patch/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_get/4","doc":"Gets information about a location.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_get/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_get/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Resource name for the location.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_get/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Location{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_get/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_create/4","doc":"Creates an instance. When creating from a backup, the capacity of the new instance needs to be equal to or larger than the capacity of the backup (and also equal to or larger than the minimum capacity of the tier).","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_create/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_create/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The instance's project and location, in the format `projects/{project_id}/locations/{location}`. In Filestore, locations map to Google Cloud zones, for example **us-west1-b**.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:instanceId` (*type:* `String.t`) - Required. The name of the instance to create. The name must be unique for the specified project and location.\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.Instance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_create/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_create/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_delete/4","doc":"Deletes an instance.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_delete/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_delete/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The instance resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - If set to true, all snapshots of the instance will also be deleted. (Otherwise, the request will only work if the instance has no snapshots.)\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_delete/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_delete/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_get/4","doc":"Gets the details of a specific instance.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_get/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_get/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The instance resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_get/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Instance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_get/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_list/4","doc":"Lists all instances in a project for either a specified location or for all locations.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_list/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_list/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project and location for which to retrieve instance information, in the format `projects/{project_id}/locations/{location}`. In Cloud Filestore, locations map to Google Cloud zones, for example **us-west1-b**. To retrieve instance information for all locations, use \"-\" for the `{location}` value.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - List filter.\n    *   `:orderBy` (*type:* `String.t`) - Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value to use if there are additional results to retrieve for this list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_list/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.ListInstancesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_list/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_patch/4","doc":"Updates the settings of a specific instance.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_patch/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_patch/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. The resource name of the instance, in the format `projects/{project}/locations/{location}/instances/{instance}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields: * \"description\" * \"file_shares\" * \"labels\" * \"performance_config\" * \"deletion_protection_enabled\" * \"deletion_protection_reason\"\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.Instance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_patch/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_patch/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_promote_replica/4","doc":"Promote the standby instance (replica).","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_promote_replica/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_promote_replica/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the instance, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.PromoteReplicaRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_promote_replica/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_promote_replica/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_promote_replica/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_restore/4","doc":"Restores an existing instance's file share from a backup. The capacity of the instance needs to be equal to or larger than the capacity of the backup (and also equal to or larger than the minimum capacity of the tier).","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_restore/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_restore/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the instance, in the format `projects/{project_number}/locations/{location_id}/instances/{instance_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.RestoreInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_restore/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_restore/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_restore/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_revert/4","doc":"Revert an existing instance's file system to a specified snapshot.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_revert/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_revert/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the instance, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.RevertInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_revert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_revert/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_revert/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_create/4","doc":"Creates a snapshot.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_create/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_create/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The Filestore Instance to create the snapshots of, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:snapshotId` (*type:* `String.t`) - Required. The ID to use for the snapshot. The ID must be unique within the specified instance. This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen.\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.Snapshot.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_create/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_create/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_delete/4","doc":"Deletes a snapshot.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_delete/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_delete/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The snapshot resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}/snapshots/{snapshot_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_delete/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_delete/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_get/4","doc":"Gets the details of a specific snapshot.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_get/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_get/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The snapshot resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}/snapshots/{snapshot_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_get/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Snapshot{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_get/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_list/4","doc":"Lists all snapshots in a project for either a specified location or for all locations.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_list/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_list/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The instance for which to retrieve snapshot information, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - List filter.\n    *   `:orderBy` (*type:* `String.t`) - Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value to use if there are additional results to retrieve for this list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_list/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.ListSnapshotsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_list/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_patch/4","doc":"Updates the settings of a specific snapshot.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_patch/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_patch/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. The resource name of the snapshot, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}/snapshots/{snapshot_id}`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. Mask of fields to update. At least one path must be supplied in this field.\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.Snapshot.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_instances_snapshots_patch/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_instances_snapshots_patch/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_list/4","doc":"Lists information about the supported locations for this service.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_list/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_list/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource that owns the locations collection, if applicable.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).\n    *   `:includeUnrevealedLocations` (*type:* `boolean()`) - If true, the returned list will include locations which are not yet revealed.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return. If not set, the service selects a default.\n    *   `:pageToken` (*type:* `String.t`) - A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_list/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.ListLocationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_list/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.File.V1.Model.CancelOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_delete/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_get/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_get/4-returns"},{"type":"function","title":"GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.File.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Api.Projects.file_projects_locations_operations_list/4","doc":"*   `{:ok, %GoogleApi.File.V1.Model.ListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.File.V1.Api.Projects.html#file_projects_locations_operations_list/4-returns"},{"type":"module","title":"GoogleApi.File.V1.Connection","doc":"Handle Tesla connections for GoogleApi.File.V1.","ref":"GoogleApi.File.V1.Connection.html"},{"type":"function","title":"GoogleApi.File.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.File.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.File.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.File.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.File.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.File.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.File.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.File.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.File.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.File.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.File.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.File.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.File.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.File.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.File.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.File.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.File.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.File.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.File.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.File.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.File.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.File.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.File.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.File.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.File.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.File.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.File.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.File.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.File.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.File.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.File.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.File.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.File.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.File.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.File.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.File.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.File.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.File.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.File.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.File.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.File.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.File.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.File.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.File.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.File.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.File.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.File.V1.Connection.t/0","doc":"","ref":"GoogleApi.File.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Backup","doc":"A Filestore backup.","ref":"GoogleApi.File.V1.Model.Backup.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Backup","doc":"*   `capacityGb` (*type:* `String.t`, *default:* `nil`) - Output only. Capacity of the source file share when the backup was created.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the backup was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A description of the backup with 2048 characters or less. Requests with longer descriptions will be rejected.\n*   `downloadBytes` (*type:* `String.t`, *default:* `nil`) - Output only. Amount of bytes that will be downloaded if the backup is restored. This may be different than storage bytes, since sequential backups of the same disk will share storage.\n*   `fileSystemProtocol` (*type:* `String.t`, *default:* `nil`) - Output only. The file system protocol of the source Filestore instance that this backup is created from.\n*   `kmsKey` (*type:* `String.t`, *default:* `nil`) - Immutable. KMS key name used for data encryption.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Resource labels to represent user provided metadata.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the backup, in the format `projects/{project_number}/locations/{location_id}/backups/{backup_id}`.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. Reserved for future use.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - Output only. Reserved for future use.\n*   `sourceFileShare` (*type:* `String.t`, *default:* `nil`) - Name of the file share in the source Filestore instance that the backup is created from.\n*   `sourceInstance` (*type:* `String.t`, *default:* `nil`) - The resource name of the source Filestore instance, in the format `projects/{project_number}/locations/{location_id}/instances/{instance_id}`, used to create this backup.\n*   `sourceInstanceTier` (*type:* `String.t`, *default:* `nil`) - Output only. The service tier of the source Filestore instance that this backup is created from.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The backup state.\n*   `storageBytes` (*type:* `String.t`, *default:* `nil`) - Output only. The size of the storage used by the backup. As backups share storage, this number is expected to change with backup creation/deletion.\n*   `tags` (*type:* `map()`, *default:* `nil`) - Optional. Input only. Immutable. Tag key-value pairs are bound to this resource. For example: \"123/environment\": \"production\", \"123/costCenter\": \"marketing\"","ref":"GoogleApi.File.V1.Model.Backup.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Backup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Backup.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Backup.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Backup.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.CancelOperationRequest","doc":"The request message for Operations.CancelOperation.","ref":"GoogleApi.File.V1.Model.CancelOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.CancelOperationRequest","doc":"","ref":"GoogleApi.File.V1.Model.CancelOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.CancelOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.CancelOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.CancelOperationRequest.t/0","doc":"","ref":"GoogleApi.File.V1.Model.CancelOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.DailyCycle","doc":"Time window specified for daily operations.","ref":"GoogleApi.File.V1.Model.DailyCycle.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.DailyCycle","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - Output only. Duration of the time window, set by service producer.\n*   `startTime` (*type:* `GoogleApi.File.V1.Model.TimeOfDay.t`, *default:* `nil`) - Time within the day to start the operations.","ref":"GoogleApi.File.V1.Model.DailyCycle.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.DailyCycle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.DailyCycle.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.DailyCycle.t/0","doc":"","ref":"GoogleApi.File.V1.Model.DailyCycle.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Date","doc":"Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: * A full date, with non-zero year, month, and day values. * A month and day, with a zero year (for example, an anniversary). * A year on its own, with a zero month and a zero day. * A year and month, with a zero day (for example, a credit card expiration date). Related types: * google.type.TimeOfDay * google.type.DateTime * google.protobuf.Timestamp","ref":"GoogleApi.File.V1.Model.Date.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Date","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n*   `month` (*type:* `integer()`, *default:* `nil`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n*   `year` (*type:* `integer()`, *default:* `nil`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.","ref":"GoogleApi.File.V1.Model.Date.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Date.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Date.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Date.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Date.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.DenyMaintenancePeriod","doc":"DenyMaintenancePeriod definition. Maintenance is forbidden within the deny period. The start_date must be less than the end_date.","ref":"GoogleApi.File.V1.Model.DenyMaintenancePeriod.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.DenyMaintenancePeriod","doc":"*   `endDate` (*type:* `GoogleApi.File.V1.Model.Date.t`, *default:* `nil`) - Deny period end date. This can be: * A full date, with non-zero year, month and day values. * A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be before the end.\n*   `startDate` (*type:* `GoogleApi.File.V1.Model.Date.t`, *default:* `nil`) - Deny period start date. This can be: * A full date, with non-zero year, month and day values. * A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be the same or after the start.\n*   `time` (*type:* `GoogleApi.File.V1.Model.TimeOfDay.t`, *default:* `nil`) - Time in UTC when the Blackout period starts on start_date and ends on end_date. This can be: * Full time. * All zeros for 00:00:00 UTC","ref":"GoogleApi.File.V1.Model.DenyMaintenancePeriod.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.DenyMaintenancePeriod.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.DenyMaintenancePeriod.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.DenyMaintenancePeriod.t/0","doc":"","ref":"GoogleApi.File.V1.Model.DenyMaintenancePeriod.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.File.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Empty","doc":"","ref":"GoogleApi.File.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.FileShareConfig","doc":"File share configuration for the instance.","ref":"GoogleApi.File.V1.Model.FileShareConfig.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.FileShareConfig","doc":"*   `capacityGb` (*type:* `String.t`, *default:* `nil`) - File share capacity in gigabytes (GB). Filestore defines 1 GB as 1024^3 bytes.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The name of the file share. Must use 1-16 characters for the basic service tier and 1-63 characters for all other service tiers. Must use lowercase letters, numbers, or underscores `[a-z0-9_]`. Must start with a letter. Immutable.\n*   `nfsExportOptions` (*type:* `list(GoogleApi.File.V1.Model.NfsExportOptions.t)`, *default:* `nil`) - Nfs Export Options. There is a limit of 10 export options per file share.\n*   `sourceBackup` (*type:* `String.t`, *default:* `nil`) - The resource name of the backup, in the format `projects/{project_number}/locations/{location_id}/backups/{backup_id}`, that this file share has been restored from.","ref":"GoogleApi.File.V1.Model.FileShareConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.FileShareConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.FileShareConfig.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.FileShareConfig.t/0","doc":"","ref":"GoogleApi.File.V1.Model.FileShareConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1Instance","doc":"Instance represents the interface for SLM services to actuate the state of control plane resources. Example Instance in JSON, where consumer-project-number=123456, producer-project-id=cloud-sql: ```json Instance: { \"name\": \"projects/123456/locations/us-east1/instances/prod-instance\", \"create_time\": { \"seconds\": 1526406431, }, \"labels\": { \"env\": \"prod\", \"foo\": \"bar\" }, \"state\": READY, \"software_versions\": { \"software_update\": \"cloud-sql-09-28-2018\", }, \"maintenance_policy_names\": { \"UpdatePolicy\": \"projects/123456/locations/us-east1/maintenancePolicies/prod-update-policy\", } \"tenant_project_id\": \"cloud-sql-test-tenant\", \"producer_metadata\": { \"cloud-sql-tier\": \"basic\", \"cloud-sql-instance-size\": \"1G\", }, \"provisioned_resources\": [ { \"resource-type\": \"compute-instance\", \"resource-url\": \"https://www.googleapis.com/compute/v1/projects/cloud-sql/zones/us-east1-b/instances/vm-1\", } ], \"maintenance_schedules\": { \"csa_rollout\": { \"start_time\": { \"seconds\": 1526406431, }, \"end_time\": { \"seconds\": 1535406431, }, }, \"ncsa_rollout\": { \"start_time\": { \"seconds\": 1526406431, }, \"end_time\": { \"seconds\": 1535406431, }, } }, \"consumer_defined_name\": \"my-sql-instance1\", } ``` LINT.IfChange","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1Instance.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1Instance","doc":"*   `consumerDefinedName` (*type:* `String.t`, *default:* `nil`) - consumer_defined_name is the name of the instance set by the service consumers. Generally this is different from the `name` field which reperesents the system-assigned id of the instance which the service consumers do not recognize. This is a required field for tenants onboarding to Maintenance Window notifications (go/slm-rollout-maintenance-policies#prerequisites).\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp when the resource was created.\n*   `instanceType` (*type:* `String.t`, *default:* `nil`) - Optional. The instance_type of this instance of format: projects/{project_number}/locations/{location_id}/instanceTypes/{instance_type_id}. Instance Type represents a high-level tier or SKU of the service that this instance belong to. When enabled(eg: Maintenance Rollout), Rollout uses 'instance_type' along with 'software_versions' to determine whether instance needs an update or not.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user.\n*   `maintenancePolicyNames` (*type:* `map()`, *default:* `nil`) - Optional. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the referenced policy must define the same policy type. For details, please refer to go/mr-user-guide. Should not be set if maintenance_settings.maintenance_policies is set.\n*   `maintenanceSchedules` (*type:* `%{optional(String.t) => GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule.t}`, *default:* `nil`) - The MaintenanceSchedule contains the scheduling information of published maintenance schedule with same key as software_versions.\n*   `maintenanceSettings` (*type:* `GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings.t`, *default:* `nil`) - Optional. The MaintenanceSettings associated with instance.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Unique name of the resource. It uses the form: `projects/{project_number}/locations/{location_id}/instances/{instance_id}` Note: This name is passed, stored and logged across the rollout system. So use of consumer project_id or any other consumer PII in the name is strongly discouraged for wipeout (go/wipeout) compliance. See go/elysium/project_ids#storage-guidance for more details.\n*   `notificationParameters` (*type:* `%{optional(String.t) => GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter.t}`, *default:* `nil`) - Optional. notification_parameter are information that service producers may like to include that is not relevant to Rollout. This parameter will only be passed to Gamma and Cloud Logging for notification/logging purpose.\n*   `producerMetadata` (*type:* `map()`, *default:* `nil`) - Output only. Custom string attributes used primarily to expose producer-specific information in monitoring dashboards. See go/get-instance-metadata.\n*   `provisionedResources` (*type:* `list(GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource.t)`, *default:* `nil`) - Output only. The list of data plane resources provisioned for this instance, e.g. compute VMs. See go/get-instance-metadata.\n*   `slmInstanceTemplate` (*type:* `String.t`, *default:* `nil`) - Link to the SLM instance template. Only populated when updating SLM instances via SSA's Actuation service adaptor. Service producers with custom control plane (e.g. Cloud SQL) doesn't need to populate this field. Instead they should use software_versions.\n*   `sloMetadata` (*type:* `GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata.t`, *default:* `nil`) - Output only. SLO metadata for instance classification in the Standardized dataplane SLO platform. See go/cloud-ssa-standard-slo for feature description.\n*   `softwareVersions` (*type:* `map()`, *default:* `nil`) - Software versions that are used to deploy this instance. This can be mutated by rollout services.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. Current lifecycle state of the resource (e.g. if it's being created or ready to use).\n*   `tenantProjectId` (*type:* `String.t`, *default:* `nil`) - Output only. ID of the associated GCP tenant project. See go/get-instance-metadata.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp when the resource was last modified.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1Instance.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1Instance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1Instance.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1Instance.t/0","doc":"","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1Instance.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule","doc":"Maintenance schedule which is exposed to customer and potentially end user, indicating published upcoming future maintenance schedule","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule","doc":"*   `canReschedule` (*type:* `boolean()`, *default:* `nil`) - This field is deprecated, and will be always set to true since reschedule can happen multiple times now. This field should not be removed until all service producers remove this for their customers.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The scheduled end time for the maintenance.\n*   `rolloutManagementPolicy` (*type:* `String.t`, *default:* `nil`) - The rollout management policy this maintenance schedule is associated with. When doing reschedule update request, the reschedule should be against this given policy.\n*   `scheduleDeadlineTime` (*type:* `DateTime.t`, *default:* `nil`) - schedule_deadline_time is the time deadline any schedule start time cannot go beyond, including reschedule. It's normally the initial schedule start time plus maintenance window length (1 day or 1 week). Maintenance cannot be scheduled to start beyond this deadline.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The scheduled start time for the maintenance.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule.t/0","doc":"","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings","doc":"Maintenance settings associated with instance. Allows service producers and end users to assign settings that controls maintenance on this instance.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings","doc":"*   `exclude` (*type:* `boolean()`, *default:* `nil`) - Optional. Exclude instance from maintenance. When true, rollout service will not attempt maintenance on the instance. Rollout service will include the instance in reported rollout progress as not attempted.\n*   `isRollback` (*type:* `boolean()`, *default:* `nil`) - Optional. If the update call is triggered from rollback, set the value as true.\n*   `maintenancePolicies` (*type:* `%{optional(String.t) => GoogleApi.File.V1.Model.MaintenancePolicy.t}`, *default:* `nil`) - Optional. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the embedded policy must define the same policy type. For details, please refer to go/mr-user-guide. Should not be set if maintenance_policy_names is set. If only the name is needed, then only populate MaintenancePolicy.name.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings.t/0","doc":"","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata","doc":"Node information for custom per-node SLO implementations. SSA does not support per-node SLO, but producers can populate per-node information in SloMetadata for custom precomputations. SSA Eligibility Exporter will emit per-node metric based on this information.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata","doc":"*   `location` (*type:* `String.t`, *default:* `nil`) - The location of the node, if different from instance location.\n*   `nodeId` (*type:* `String.t`, *default:* `nil`) - The id of the node. This should be equal to SaasInstanceNode.node_id.\n*   `perSliEligibility` (*type:* `GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility.t`, *default:* `nil`) - If present, this will override eligibility for the node coming from instance or exclusions for specified SLIs.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata.t/0","doc":"","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter","doc":"Contains notification related data.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter","doc":"*   `values` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Array of string values. e.g. instance's replica information.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter.t/0","doc":"","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility","doc":"PerSliSloEligibility is a mapping from an SLI name to eligibility.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility","doc":"*   `eligibilities` (*type:* `%{optional(String.t) => GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility.t}`, *default:* `nil`) - An entry in the eligibilities map specifies an eligibility for a particular SLI for the given instance. The SLI key in the name must be a valid SLI name specified in the Eligibility Exporter binary flags otherwise an error will be emitted by Eligibility Exporter and the oncaller will be alerted. If an SLI has been defined in the binary flags but the eligibilities map does not contain it, the corresponding SLI time series will not be emitted by the Eligibility Exporter. This ensures a smooth rollout and compatibility between the data produced by different versions of the Eligibility Exporters. If eligibilities map contains a key for an SLI which has not been declared in the binary flags, there will be an error message emitted in the Eligibility Exporter log and the metric for the SLI in question will not be emitted.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility.t/0","doc":"","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource","doc":"Describes provisioned dataplane resources.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource","doc":"*   `resourceType` (*type:* `String.t`, *default:* `nil`) - Type of the resource. This can be either a GCP resource or a custom one (e.g. another cloud provider's VM). For GCP compute resources use singular form of the names listed in GCP compute API documentation (https://cloud.google.com/compute/docs/reference/rest/v1/), prefixed with 'compute-', for example: 'compute-instance', 'compute-disk', 'compute-autoscaler'.\n*   `resourceUrl` (*type:* `String.t`, *default:* `nil`) - URL identifying the resource, e.g. \"https://www.googleapis.com/compute/v1/projects/...)\".","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource.t/0","doc":"","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility","doc":"SloEligibility is a tuple containing eligibility value: true if an instance is eligible for SLO calculation or false if it should be excluded from all SLO-related calculations along with a user-defined reason.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility","doc":"*   `eligible` (*type:* `boolean()`, *default:* `nil`) - Whether an instance is eligible or ineligible.\n*   `reason` (*type:* `String.t`, *default:* `nil`) - User-defined reason for the current value of instance eligibility. Usually, this can be directly mapped to the internal state. An empty reason is allowed.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility.t/0","doc":"","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata","doc":"SloMetadata contains resources required for proper SLO classification of the instance.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata","doc":"*   `nodes` (*type:* `list(GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata.t)`, *default:* `nil`) - Optional. List of nodes. Some producers need to use per-node metadata to calculate SLO. This field allows such producers to publish per-node SLO meta data, which will be consumed by SSA Eligibility Exporter and published in the form of per node metric to Monarch.\n*   `perSliEligibility` (*type:* `GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility.t`, *default:* `nil`) - Optional. Multiple per-instance SLI eligibilities which apply for individual SLIs.\n*   `tier` (*type:* `String.t`, *default:* `nil`) - Name of the SLO tier the Instance belongs to. This name will be expected to match the tiers specified in the service SLO configuration. Field is mandatory and must not be empty.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata.t/0","doc":"","ref":"GoogleApi.File.V1.Model.GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Instance","doc":"A Filestore instance.","ref":"GoogleApi.File.V1.Model.Instance.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Instance","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the instance was created.\n*   `deletionProtectionEnabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the instance is protected against deletion.\n*   `deletionProtectionReason` (*type:* `String.t`, *default:* `nil`) - Optional. The reason for enabling deletion protection.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the instance (2048 characters or less).\n*   `etag` (*type:* `String.t`, *default:* `nil`) - Server-specified ETag for the instance resource to prevent simultaneous updates from overwriting each other.\n*   `fileShares` (*type:* `list(GoogleApi.File.V1.Model.FileShareConfig.t)`, *default:* `nil`) - File system shares on the instance. For this version, only a single file share is supported.\n*   `kmsKeyName` (*type:* `String.t`, *default:* `nil`) - KMS key name used for data encryption.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Resource labels to represent user provided metadata.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the instance, in the format `projects/{project}/locations/{location}/instances/{instance}`.\n*   `networks` (*type:* `list(GoogleApi.File.V1.Model.NetworkConfig.t)`, *default:* `nil`) - VPC networks to which the instance is connected. For this version, only a single network is supported.\n*   `protocol` (*type:* `String.t`, *default:* `nil`) - Immutable. The protocol indicates the access protocol for all shares in the instance. This field is immutable and it cannot be changed after the instance has been created. Default value: `NFS_V3`.\n*   `replication` (*type:* `GoogleApi.File.V1.Model.Replication.t`, *default:* `nil`) - Optional. Replication configuration.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. Reserved for future use.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - Output only. Reserved for future use.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The instance state.\n*   `statusMessage` (*type:* `String.t`, *default:* `nil`) - Output only. Additional information about the instance state, if available.\n*   `suspensionReasons` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Field indicates all the reasons the instance is in \"SUSPENDED\" state.\n*   `tags` (*type:* `map()`, *default:* `nil`) - Optional. Input only. Immutable. Tag key-value pairs are bound to this resource. For example: \"123/environment\": \"production\", \"123/costCenter\": \"marketing\"\n*   `tier` (*type:* `String.t`, *default:* `nil`) - The service tier of the instance.","ref":"GoogleApi.File.V1.Model.Instance.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Instance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Instance.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Instance.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Instance.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.ListBackupsResponse","doc":"ListBackupsResponse is the result of ListBackupsRequest.","ref":"GoogleApi.File.V1.Model.ListBackupsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.ListBackupsResponse","doc":"*   `backups` (*type:* `list(GoogleApi.File.V1.Model.Backup.t)`, *default:* `nil`) - A list of backups in the project for the specified location. If the `{location}` value in the request is \"-\", the response contains a list of backups from all locations. If any location is unreachable, the response will only return backups in reachable locations and the \"unreachable\" field will be populated with a list of unreachable locations.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token you can use to retrieve the next page of results. Not returned if there are no more results in the list.\n*   `unreachable` (*type:* `list(String.t)`, *default:* `nil`) - Locations that could not be reached.","ref":"GoogleApi.File.V1.Model.ListBackupsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.ListBackupsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.ListBackupsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.ListBackupsResponse.t/0","doc":"","ref":"GoogleApi.File.V1.Model.ListBackupsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.ListInstancesResponse","doc":"ListInstancesResponse is the result of ListInstancesRequest.","ref":"GoogleApi.File.V1.Model.ListInstancesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.ListInstancesResponse","doc":"*   `instances` (*type:* `list(GoogleApi.File.V1.Model.Instance.t)`, *default:* `nil`) - A list of instances in the project for the specified location. If the `{location}` value in the request is \"-\", the response contains a list of instances from all locations. If any location is unreachable, the response will only return instances in reachable locations and the \"unreachable\" field will be populated with a list of unreachable locations.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token you can use to retrieve the next page of results. Not returned if there are no more results in the list.\n*   `unreachable` (*type:* `list(String.t)`, *default:* `nil`) - Locations that could not be reached.","ref":"GoogleApi.File.V1.Model.ListInstancesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.ListInstancesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.ListInstancesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.ListInstancesResponse.t/0","doc":"","ref":"GoogleApi.File.V1.Model.ListInstancesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.ListLocationsResponse","doc":"The response message for Locations.ListLocations.","ref":"GoogleApi.File.V1.Model.ListLocationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.ListLocationsResponse","doc":"*   `locations` (*type:* `list(GoogleApi.File.V1.Model.Location.t)`, *default:* `nil`) - A list of locations that matches the specified filter in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.","ref":"GoogleApi.File.V1.Model.ListLocationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.ListLocationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.ListLocationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.ListLocationsResponse.t/0","doc":"","ref":"GoogleApi.File.V1.Model.ListLocationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.ListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.File.V1.Model.ListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.ListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.File.V1.Model.Operation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.File.V1.Model.ListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.ListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.ListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.ListOperationsResponse.t/0","doc":"","ref":"GoogleApi.File.V1.Model.ListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.ListSnapshotsResponse","doc":"ListSnapshotsResponse is the result of ListSnapshotsRequest.","ref":"GoogleApi.File.V1.Model.ListSnapshotsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.ListSnapshotsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token you can use to retrieve the next page of results. Not returned if there are no more results in the list.\n*   `snapshots` (*type:* `list(GoogleApi.File.V1.Model.Snapshot.t)`, *default:* `nil`) - A list of snapshots in the project for the specified instance.","ref":"GoogleApi.File.V1.Model.ListSnapshotsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.ListSnapshotsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.ListSnapshotsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.ListSnapshotsResponse.t/0","doc":"","ref":"GoogleApi.File.V1.Model.ListSnapshotsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Location","doc":"A resource that represents a Google Cloud location.","ref":"GoogleApi.File.V1.Model.Location.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Location","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".\n*   `labels` (*type:* `map()`, *default:* `nil`) - Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - The canonical id for this location. For example: `\"us-east1\"`.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata. For example the available capacity at the given location.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`","ref":"GoogleApi.File.V1.Model.Location.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Location.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Location.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Location.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Location.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.MaintenancePolicy","doc":"Defines policies to service maintenance events.","ref":"GoogleApi.File.V1.Model.MaintenancePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.MaintenancePolicy","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the resource was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. MaintenancePolicy name using the form: `projects/{project_id}/locations/{location_id}/maintenancePolicies/{maintenance_policy_id}` where {project_id} refers to a GCP consumer project ID, {location_id} refers to a GCP region/zone, {maintenance_policy_id} must be 1-63 characters long and match the regular expression `[a-z0-9]([-a-z0-9]*[a-z0-9])?`.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Optional. The state of the policy.\n*   `updatePolicy` (*type:* `GoogleApi.File.V1.Model.UpdatePolicy.t`, *default:* `nil`) - Maintenance policy applicable to instance update.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the resource was updated.","ref":"GoogleApi.File.V1.Model.MaintenancePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.MaintenancePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.MaintenancePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.MaintenancePolicy.t/0","doc":"","ref":"GoogleApi.File.V1.Model.MaintenancePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.MaintenanceWindow","doc":"MaintenanceWindow definition.","ref":"GoogleApi.File.V1.Model.MaintenanceWindow.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.MaintenanceWindow","doc":"*   `dailyCycle` (*type:* `GoogleApi.File.V1.Model.DailyCycle.t`, *default:* `nil`) - Daily cycle.\n*   `weeklyCycle` (*type:* `GoogleApi.File.V1.Model.WeeklyCycle.t`, *default:* `nil`) - Weekly cycle.","ref":"GoogleApi.File.V1.Model.MaintenanceWindow.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.MaintenanceWindow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.MaintenanceWindow.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.MaintenanceWindow.t/0","doc":"","ref":"GoogleApi.File.V1.Model.MaintenanceWindow.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.NetworkConfig","doc":"Network configuration for the instance.","ref":"GoogleApi.File.V1.Model.NetworkConfig.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.NetworkConfig","doc":"*   `connectMode` (*type:* `String.t`, *default:* `nil`) - The network connect mode of the Filestore instance. If not provided, the connect mode defaults to DIRECT_PEERING.\n*   `ipAddresses` (*type:* `list(String.t)`, *default:* `nil`) - Output only. IPv4 addresses in the format `{octet1}.{octet2}.{octet3}.{octet4}` or IPv6 addresses in the format `{block1}:{block2}:{block3}:{block4}:{block5}:{block6}:{block7}:{block8}`.\n*   `modes` (*type:* `list(String.t)`, *default:* `nil`) - Internet protocol versions for which the instance has IP addresses assigned. For this version, only MODE_IPV4 is supported.\n*   `network` (*type:* `String.t`, *default:* `nil`) - The name of the Google Compute Engine [VPC network](https://cloud.google.com/vpc/docs/vpc) to which the instance is connected.\n*   `reservedIpRange` (*type:* `String.t`, *default:* `nil`) - Optional, reserved_ip_range can have one of the following two types of values. * CIDR range value when using DIRECT_PEERING connect mode. * [Allocated IP address range](https://cloud.google.com/compute/docs/ip-addresses/reserve-static-internal-ip-address) when using PRIVATE_SERVICE_ACCESS connect mode. When the name of an allocated IP address range is specified, it must be one of the ranges associated with the private service access connection. When specified as a direct CIDR value, it must be a /29 CIDR block for Basic tier, a /24 CIDR block for High Scale tier, or a /26 CIDR block for Enterprise tier in one of the [internal IP address ranges](https://www.arin.net/reference/research/statistics/address_filters/) that identifies the range of IP addresses reserved for this instance. For example, 10.0.0.0/29, 192.168.0.0/24 or 192.168.0.0/26, respectively. The range you specify can't overlap with either existing subnets or assigned IP address ranges for other Filestore instances in the selected VPC network.","ref":"GoogleApi.File.V1.Model.NetworkConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.NetworkConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.NetworkConfig.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.NetworkConfig.t/0","doc":"","ref":"GoogleApi.File.V1.Model.NetworkConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.NfsExportOptions","doc":"NFS export options specifications.","ref":"GoogleApi.File.V1.Model.NfsExportOptions.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.NfsExportOptions","doc":"*   `accessMode` (*type:* `String.t`, *default:* `nil`) - Either READ_ONLY, for allowing only read requests on the exported directory, or READ_WRITE, for allowing both read and write requests. The default is READ_WRITE.\n*   `anonGid` (*type:* `String.t`, *default:* `nil`) - An integer representing the anonymous group id with a default value of 65534. Anon_gid may only be set with squash_mode of ROOT_SQUASH. An error will be returned if this field is specified for other squash_mode settings.\n*   `anonUid` (*type:* `String.t`, *default:* `nil`) - An integer representing the anonymous user id with a default value of 65534. Anon_uid may only be set with squash_mode of ROOT_SQUASH. An error will be returned if this field is specified for other squash_mode settings.\n*   `ipRanges` (*type:* `list(String.t)`, *default:* `nil`) - List of either an IPv4 addresses in the format `{octet1}.{octet2}.{octet3}.{octet4}` or CIDR ranges in the format `{octet1}.{octet2}.{octet3}.{octet4}/{mask size}` which may mount the file share. Overlapping IP ranges are not allowed, both within and across NfsExportOptions. An error will be returned. The limit is 64 IP ranges/addresses for each FileShareConfig among all NfsExportOptions.\n*   `squashMode` (*type:* `String.t`, *default:* `nil`) - Either NO_ROOT_SQUASH, for allowing root access on the exported directory, or ROOT_SQUASH, for not allowing root access. The default is NO_ROOT_SQUASH.","ref":"GoogleApi.File.V1.Model.NfsExportOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.NfsExportOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.NfsExportOptions.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.NfsExportOptions.t/0","doc":"","ref":"GoogleApi.File.V1.Model.NfsExportOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.File.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.File.V1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.File.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.OperationMetadata","doc":"Represents the metadata of the long-running operation.","ref":"GoogleApi.File.V1.Model.OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.OperationMetadata","doc":"*   `apiVersion` (*type:* `String.t`, *default:* `nil`) - Output only. API version used to start the operation.\n*   `cancelRequested` (*type:* `boolean()`, *default:* `nil`) - Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation was created.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation finished running.\n*   `statusDetail` (*type:* `String.t`, *default:* `nil`) - Output only. Human-readable status of the operation, if any.\n*   `target` (*type:* `String.t`, *default:* `nil`) - Output only. Server-defined resource path for the target of the operation.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the verb executed by the operation.","ref":"GoogleApi.File.V1.Model.OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.OperationMetadata.t/0","doc":"","ref":"GoogleApi.File.V1.Model.OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.PromoteReplicaRequest","doc":"PromoteReplicaRequest promotes a Filestore standby instance (replica).","ref":"GoogleApi.File.V1.Model.PromoteReplicaRequest.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.PromoteReplicaRequest","doc":"","ref":"GoogleApi.File.V1.Model.PromoteReplicaRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.PromoteReplicaRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.PromoteReplicaRequest.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.PromoteReplicaRequest.t/0","doc":"","ref":"GoogleApi.File.V1.Model.PromoteReplicaRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.ReplicaConfig","doc":"Replica configuration for the instance.","ref":"GoogleApi.File.V1.Model.ReplicaConfig.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.ReplicaConfig","doc":"*   `lastActiveSyncTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The timestamp of the latest replication snapshot taken on the active instance and is already replicated safely.\n*   `peerInstance` (*type:* `String.t`, *default:* `nil`) - Optional. The peer instance.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The replica state.\n*   `stateReasons` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Additional information about the replication state, if available.","ref":"GoogleApi.File.V1.Model.ReplicaConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.ReplicaConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.ReplicaConfig.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.ReplicaConfig.t/0","doc":"","ref":"GoogleApi.File.V1.Model.ReplicaConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Replication","doc":"Replication specifications.","ref":"GoogleApi.File.V1.Model.Replication.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Replication","doc":"*   `replicas` (*type:* `list(GoogleApi.File.V1.Model.ReplicaConfig.t)`, *default:* `nil`) - Optional. Replication configuration for the replica instance associated with this instance. Only a single replica is supported.\n*   `role` (*type:* `String.t`, *default:* `nil`) - Optional. The replication role.","ref":"GoogleApi.File.V1.Model.Replication.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Replication.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Replication.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Replication.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Replication.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.RestoreInstanceRequest","doc":"RestoreInstanceRequest restores an existing instance's file share from a backup.","ref":"GoogleApi.File.V1.Model.RestoreInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.RestoreInstanceRequest","doc":"*   `fileShare` (*type:* `String.t`, *default:* `nil`) - Required. Name of the file share in the Filestore instance that the backup is being restored to.\n*   `sourceBackup` (*type:* `String.t`, *default:* `nil`) - The resource name of the backup, in the format `projects/{project_number}/locations/{location_id}/backups/{backup_id}`.","ref":"GoogleApi.File.V1.Model.RestoreInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.RestoreInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.RestoreInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.RestoreInstanceRequest.t/0","doc":"","ref":"GoogleApi.File.V1.Model.RestoreInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.RevertInstanceRequest","doc":"RevertInstanceRequest reverts the given instance's file share to the specified snapshot.","ref":"GoogleApi.File.V1.Model.RevertInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.RevertInstanceRequest","doc":"*   `targetSnapshotId` (*type:* `String.t`, *default:* `nil`) - Required. The snapshot resource ID, in the format 'my-snapshot', where the specified ID is the {snapshot_id} of the fully qualified name like `projects/{project_id}/locations/{location_id}/instances/{instance_id}/snapshots/{snapshot_id}`","ref":"GoogleApi.File.V1.Model.RevertInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.RevertInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.RevertInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.RevertInstanceRequest.t/0","doc":"","ref":"GoogleApi.File.V1.Model.RevertInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Schedule","doc":"Configure the schedule.","ref":"GoogleApi.File.V1.Model.Schedule.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Schedule","doc":"*   `day` (*type:* `String.t`, *default:* `nil`) - Allows to define schedule that runs specified day of the week.\n*   `duration` (*type:* `String.t`, *default:* `nil`) - Output only. Duration of the time window, set by service producer.\n*   `startTime` (*type:* `GoogleApi.File.V1.Model.TimeOfDay.t`, *default:* `nil`) - Time within the window to start the operations.","ref":"GoogleApi.File.V1.Model.Schedule.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Schedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Schedule.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Schedule.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Schedule.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Snapshot","doc":"A Filestore snapshot.","ref":"GoogleApi.File.V1.Model.Snapshot.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Snapshot","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the snapshot was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A description of the snapshot with 2048 characters or less. Requests with longer descriptions will be rejected.\n*   `filesystemUsedBytes` (*type:* `String.t`, *default:* `nil`) - Output only. The amount of bytes needed to allocate a full copy of the snapshot content\n*   `labels` (*type:* `map()`, *default:* `nil`) - Resource labels to represent user provided metadata.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the snapshot, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}/snapshots/{snapshot_id}`.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The snapshot state.\n*   `tags` (*type:* `map()`, *default:* `nil`) - Optional. Input only. Immutable. Tag key-value pairs are bound to this resource. For example: \"123/environment\": \"production\", \"123/costCenter\": \"marketing\"","ref":"GoogleApi.File.V1.Model.Snapshot.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Snapshot.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Snapshot.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Snapshot.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Snapshot.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.File.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.File.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.File.V1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.TimeOfDay","doc":"Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.","ref":"GoogleApi.File.V1.Model.TimeOfDay.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.TimeOfDay","doc":"*   `hours` (*type:* `integer()`, *default:* `nil`) - Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.\n*   `minutes` (*type:* `integer()`, *default:* `nil`) - Minutes of hour of day. Must be from 0 to 59.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.\n*   `seconds` (*type:* `integer()`, *default:* `nil`) - Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.","ref":"GoogleApi.File.V1.Model.TimeOfDay.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.TimeOfDay.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.TimeOfDay.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.TimeOfDay.t/0","doc":"","ref":"GoogleApi.File.V1.Model.TimeOfDay.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.UpdatePolicy","doc":"Maintenance policy applicable to instance updates.","ref":"GoogleApi.File.V1.Model.UpdatePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.UpdatePolicy","doc":"*   `channel` (*type:* `String.t`, *default:* `nil`) - Optional. Relative scheduling channel applied to resource.\n*   `denyMaintenancePeriods` (*type:* `list(GoogleApi.File.V1.Model.DenyMaintenancePeriod.t)`, *default:* `nil`) - Deny Maintenance Period that is applied to resource to indicate when maintenance is forbidden. The protocol supports zero-to-many such periods, but the current SLM Rollout implementation only supports zero-to-one.\n*   `window` (*type:* `GoogleApi.File.V1.Model.MaintenanceWindow.t`, *default:* `nil`) - Optional. Maintenance window that is applied to resources covered by this policy.","ref":"GoogleApi.File.V1.Model.UpdatePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.UpdatePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.UpdatePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.UpdatePolicy.t/0","doc":"","ref":"GoogleApi.File.V1.Model.UpdatePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.File.V1.Model.WeeklyCycle","doc":"Time window specified for weekly operations.","ref":"GoogleApi.File.V1.Model.WeeklyCycle.html"},{"type":"module","title":"Attributes - GoogleApi.File.V1.Model.WeeklyCycle","doc":"*   `schedule` (*type:* `list(GoogleApi.File.V1.Model.Schedule.t)`, *default:* `nil`) - User can specify multiple windows in a week. Minimum of 1 window.","ref":"GoogleApi.File.V1.Model.WeeklyCycle.html#module-attributes"},{"type":"function","title":"GoogleApi.File.V1.Model.WeeklyCycle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.File.V1.Model.WeeklyCycle.html#decode/2"},{"type":"type","title":"GoogleApi.File.V1.Model.WeeklyCycle.t/0","doc":"","ref":"GoogleApi.File.V1.Model.WeeklyCycle.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}